<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import DstAPIGridViewBase from './dst-apigrid-view-base.vue';

import view_searchform from '@widgets/dst-api/default-searchform/default-searchform.vue';
import view_grid from '@widgets/dst-api/main-grid/main-grid.vue';
@Component({
    components: {
        view_searchform, 
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class DstAPIGridView extends DstAPIGridViewBase {

}
</script>